#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 37. LXQt Desktop

- Prev

  lxqt-panel-2.4.0

- Next

  lxqt-powermanagement-2.4.0

- Up
- Home

# pcmanfm-qt-2.4.0

## Introduction to pcmanfm-qt

The pcmanfm-qt is a file manager and desktop icon manager (a Qt port of pcmanfm and libfm).

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/lxqt/pcmanfm-qt/releases/download/2.4.0/pcmanfm-qt-2.4.0.tar.xz

- Download MD5 sum: 68051ade13df176dcc267a7350059baa

- Download size: 432 KB

- Estimated disk space required: 17 MB

- Estimated build time: 0.5 SBU

### pcmanfm-qt Dependencies

#### Required

layer-shell-qt-6.6.1 for lxqt, liblxqt-2.4.0, libfm-qt-2.4.0, and lxqt-menu-data-2.4.0

#### Recommended

Gvfs-1.60.0 (runtime) and oxygen-icons-6.1.0 or another icon theme (depending on your choice, some icons will be missing in several places)

## Installation of pcmanfm-qt

If libLayerShellQtInterface.so is installed in /opt, help this package find it. As the `root` user:

    if [   -e /opt/kf6/lib/libLayerShellQtInterface.so -a \
         ! -e /usr/lib/libLayerShellQtInterface.so ]; then

        ln -sv /opt/kf6/lib/libLayerShellQtInterface.so \
               /usr/lib/libLayerShellQtInterface.so
    fi

Install pcmanfm-qt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          ..                           &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

To make pcmanfm-qt easier to find in menus, adjust the .desktop file. Again, as the `root` user:

    sed -e '/Categories=/s/=/=System;FileTools;/' \
        -e '/Name=/s/=.*/=File Manager PCManFM-Qt'/ \
        -i /usr/share/applications/pcmanfm-qt.desktop

## Contents

Installed Program: pcmanfm-qt
Installed Library: None
Installed Directories: /usr/share/pcmanfm-qt

### Short Descriptions

pcmanfm-qt | is a file manager and desktop icon manager

- Prev

  lxqt-panel-2.4.0

- Next

  lxqt-powermanagement-2.4.0

- Up
- Home